Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2235533002: Revert "Changed NavigationController access to through tab in Java code" (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months, 2 weeks ago by shaktisahu
Modified:
11 months, 1 week ago
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Revert "Changed NavigationController access to through tab in Java code" This reverts commit 8b75c19b428805a0465624cd6047b705c3b9a1b5. NavigationHandler was the interface proposed to handle all navigation related calls from chrome Java code for blimp and non-blimp mode uniformly. However, as of today most of these functionality can also be provided by Tab. For blimp 0.6 integration, this CL proposes to revert this interface and access the required call sites through tab, until a more concrete proposal of blimp navigation stack is presented. BUG=612080 Committed: https://crrev.com/024877468441dfc1f61fd24b9129a0bb8c630ce4 Cr-Commit-Position: refs/heads/master@{#412954}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+104 lines, -390 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/NavigationPopup.java View 4 chunks +6 lines, -6 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/RepostFormWarningDialog.java View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/SwipeRefreshHandler.java View 3 chunks +3 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/ChromeDownloadDelegate.java View 2 chunks +3 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/metrics/UmaSessionStats.java View 2 chunks +4 lines, -2 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/navigation/NavigationHandler.java View 1 chunk +0 lines, -161 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/navigation/TabWebContentsNavigationHandler.java View 1 chunk +0 lines, -148 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/tab/InterceptNavigationDelegateImpl.java View 5 chunks +19 lines, -13 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/tab/Tab.java View 11 chunks +20 lines, -36 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/ToolbarManager.java View 3 chunks +7 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/ToolbarTablet.java View 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/android/java_sources.gni View 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/NavigationPopupTest.java View 6 chunks +37 lines, -5 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 12 (5 generated)
shaktisahu
11 months, 2 weeks ago (2016-08-10 17:52:47 UTC) #3
David Trainor-ping after 12h
rubber stamp lgtm on revert.
11 months, 2 weeks ago (2016-08-11 15:50:51 UTC) #4
David Trainor-ping after 12h
what's the status on this? can we land it?
11 months, 1 week ago (2016-08-18 16:40:18 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2235533002/1
11 months, 1 week ago (2016-08-18 20:21:09 UTC) #7
shaktisahu
On 2016/08/18 16:40:18, David Trainor wrote: > what's the status on this? can we land ...
11 months, 1 week ago (2016-08-18 20:22:17 UTC) #8
commit-bot: I haz the power
Committed patchset #1 (id:1)
11 months, 1 week ago (2016-08-18 22:26:16 UTC) #10
commit-bot: I haz the power
11 months, 1 week ago (2016-08-18 23:24:15 UTC) #12
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/024877468441dfc1f61fd24b9129a0bb8c630ce4
Cr-Commit-Position: refs/heads/master@{#412954}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973